CFWriteStream Reference

## Detailed Description

## Typedefs

typedef void(* | CFWriteStreamClientCallBack) (CFWriteStreamRef stream, CFStreamEventType eventType, void *clientCallBackInfo)

## Functions

CFStreamError | CFWriteStreamGetError (CFWriteStreamRef stream)
CFStreamStatus | CFWriteStreamGetStatus (CFWriteStreamRef stream)

## Creating a Write Stream

CFWriteStreamRef | CFWriteStreamCreateWithAllocatedBuffers (CFAllocatorRef alloc, CFAllocatorRef bufferAllocator)
CFWriteStreamRef | CFWriteStreamCreateWithBuffer (CFAllocatorRef alloc, UInt8 *buffer, CFIndex bufferCapacity)
CFWriteStreamRef | CFWriteStreamCreateWithFile (CFAllocatorRef alloc, CFURLRef fileURL)

## Opening and Closing a Write Stream

void | CFWriteStreamClose (CFWriteStreamRef stream)
Boolean | CFWriteStreamOpen (CFWriteStreamRef stream)

## Writing to a Stream

CFIndex | CFWriteStreamWrite (CFWriteStreamRef stream, const UInt8 *buffer, CFIndex bufferLength)

## Scheduling a Write Stream

void | CFWriteStreamScheduleWithRunLoop (CFWriteStreamRef stream, CFRunLoopRef runLoop, CFStringRef runLoopMode)
void | CFWriteStreamUnscheduleFromRunLoop (CFWriteStreamRef stream, CFRunLoopRef runLoop, CFStringRef runLoopMode)

## Examining Write Stream Properties

Boolean | CFWriteStreamCanAcceptBytes (CFWriteStreamRef stream)
CFTypeRef | CFWriteStreamCopyProperty (CFWriteStreamRef stream, CFStringRef propertyName)

## Setting Write Stream Properties

Boolean | CFWriteStreamSetClient (CFWriteStreamRef stream, CFOptionFlags streamEvents, CFWriteStreamClientCallBack clientCB, CFStreamClientContext *clientContext)

## Getting the CFWriteStream Type ID

CFTypeID | CFWriteStreamGetTypeID (void)